<?php
/**
 * Scripts and stylesheets
 */

function curum_scripts() {

    $options = get_option('maestro');

    /*
     * Css styles
     */

    wp_enqueue_style('foundation', get_template_directory_uri() . '/assets/css/foundation.min.css', false, null);
    wp_enqueue_style('crum_site_style', get_template_directory_uri() . '/assets/css/app.css', false, null);

    /**
     * Check if WooCommerce is active
     **/
    if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
        wp_enqueue_style('crum_wocommerce', get_template_directory_uri() . '/assets/css/woocommerce.css', false, null);
    }


    wp_enqueue_style('crum_bbpress', get_template_directory_uri() . '/assets/css/bbpress.css', false, null);
    wp_enqueue_style('isotope_style', get_template_directory_uri() . '/assets/css/jquery.isotope.css', false, null);
    wp_enqueue_style('flexslider_style', get_template_directory_uri() . '/assets/css/flexslider.css', false, null);
    wp_enqueue_style('maestro_responsive', get_template_directory_uri() . '/assets/css/responsive.css', false, null);
    wp_enqueue_style('prettyphoto_style', get_template_directory_uri() . '/assets/css/prettyPhoto.css', false, null);

    wp_enqueue_style('crum_theme_options', get_template_directory_uri() . '/css/options.css', false, null);



    /*
     * JS register
     */
    wp_register_script('crum_modernizr', get_template_directory_uri() . '/assets/js/modernizr.foundation.js', false, null, false);
    wp_register_script('crum_foundation', get_template_directory_uri() . '/assets/js/foundation.min.js', false, null, true);
    wp_register_script('crum_effects', get_template_directory_uri() . '/assets/js/animation.js', false, null, true);
    wp_register_script('nicescroll', get_template_directory_uri() . '/assets/js/jquery.nicescroll.min.js', false, null, true);
    wp_register_script('nicescroll_plus', get_template_directory_uri() . '/assets/js/jquery.nicescroll.plus.js', false, null, true);
    wp_register_script('crum_main', get_template_directory_uri() . '/assets/js/app.js', false, null, true);
    wp_register_script('isotope', ''.get_template_directory_uri().'/assets/js/jquery.isotope.min.js', false, null, true);
    wp_register_script('isotope-run', ''.get_template_directory_uri().'/assets/js/jquery.isotope.run.js', false, null, true);
    wp_register_script('masonry', ''.get_template_directory_uri().'/assets/js/jquery.masonry.min.js', true, null, false);
    wp_register_script('flexslider', ''.get_template_directory_uri().'/assets/js/jquery.flexslider-min.js', false, null, true);
    wp_register_script('gmap3', ''.get_template_directory_uri().'/assets/js/gmap3.min.js', false, null, true);
    wp_register_script('prettyphoto', ''.get_template_directory_uri().'/assets/js/jquery.prettyPhoto.js', false, null, true);



    /*
     * JS enquene
     */
    wp_enqueue_script('retina');
    wp_enqueue_script('jquery');
    wp_enqueue_script('crum_foundation');
    wp_enqueue_script('crum_effects');

    if ($options['scroll_animation'] != 'off') {
        wp_enqueue_script('nicescroll');
        wp_enqueue_script('nicescroll_plus');
    }


    wp_enqueue_script('crum_main');
    wp_enqueue_script('gmap3');
    wp_enqueue_script('jquery-color');
    wp_enqueue_script('flexslider');
    wp_enqueue_script('prettyphoto');


}

add_action('wp_enqueue_scripts', 'curum_scripts', 100);
