<?php
/*
Template Name: Posts grid 3 columns
*/
?>

<?php get_template_part('templates/top', 'page'); ?>

<section id="layout">

    <div class="row">
        <div class="twelve rows">
            <?php while (have_posts()) : the_post(); ?>
                <?php the_content(); ?>
            <?php endwhile; ?>
        </div>
    </div>

    <div class="row">
        <div class="twelve columns">
            <?php

            if (is_front_page()) {
                $paged = (get_query_var('page')) ? get_query_var('page') : 1;
            } else {
                $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
            }

            $number_per_page = get_post_meta($post->ID, 'blog_number_to_display', true);
            $number_per_page = ($number_per_page) ? $number_per_page : '12';


                $query = new WP_Query( 'post_type=post&posts_per_page=' . $number_per_page . '&paged=' . $paged );


                if (!$query->have_posts()) : ?>

                <div class="alert">
                    <?php _e('Sorry, no results were found.', 'crum'); ?>
                </div>
                <?php get_search_form(); ?>
            <?php endif; ?>

            <div id="grid-posts">

                <?php while ($query->have_posts()) : $query->the_post();

                    get_template_part('templates/content', 'grid');

                endwhile; ?>

            </div>

            <nav class="page-nav">

                <?php next_posts_link('', $query->max_num_pages); ?>
                <?php previous_posts_link('', $query->max_num_pages); ?>

            </nav>

            <?php wp_reset_postdata(); ?>

        </div>
    </div>
</section>

<?php
wp_enqueue_script('masonry');
?>


<script type="text/javascript">
    jQuery(window).load(function () {


        var columns = 3,
            setColumns = function () {
                columns = jQuery(window).width() > 640 ? 3 : jQuery(window).width() > 320 ? 2 : 1;
            };

        setColumns();
        jQuery(window).resize(setColumns);

        jQuery('#grid-posts').masonry(
            {
                itemSelector: 'article.small-news',
                isAnimated: true,
                columnWidth: function (containerWidth) {
                    return containerWidth / columns;
                }
            });
    });
</script>