<?php
/*
Template Name: Portfolio grid
*/
$options = get_option('maestro');

get_template_part('templates/top', 'page'); ?>

<section id="layout">

    <div class="row">
        <div class="twelve rows">
            <?php while (have_posts()) : the_post(); ?>
                <?php the_content(); ?>
            <?php endwhile; ?>
        </div>
    </div>

    <div class="row">
        <div class="twelve columns">
            <?php

            if (is_front_page()) {
                $paged = (get_query_var('page')) ? get_query_var('page') : 1;
            } else {
                $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
            }

            $number_per_page = get_post_meta($post->ID, 'blog_number_to_display', true);
            $number_per_page = ($number_per_page) ? $number_per_page : '12';

            $args = array(
                'post_type' => 'my-product',
                'posts_per_page' => $number_per_page,
                'paged' => $paged
            );
            $the_query = new WP_Query($args);

            ?>


            <div id="grid-folio" class="col-3 row">

                <?php while ($the_query->have_posts()) : $the_query->the_post();

                    if (has_post_thumbnail()) {
                        $thumb = get_post_thumbnail_id();
                        $img_url = wp_get_attachment_url($thumb, 'full'); //get img URL
                    } else {
                        $img_url = get_template_directory_uri() . '/img/no-image-large.jpg';
                    }
                    $article_image = aq_resize($img_url, 400, 999, false); //resize & crop img

                    ?>

                    <div class="four columns project">
                        <div class="entry-thumb">
                            <img src="<?php echo $article_image ?>" alt="<?php the_title(); ?>"/>

                        <span class="hover-box">
                            <a href="<?php the_permalink(); ?>" class="more-link"> </a>
                            <a href="<?php echo $img_url; ?>" class="zoom-link"> </a>
                        </span>
                        </div>

                        <h4 class="box-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>

                        <span class="dopinfo"><?php get_template_part('templates/folio', 'terms'); ?></span>
                    </div>

                <?php endwhile; ?>

                <nav class="page-nav">

                    <?php next_posts_link('', $the_query->max_num_pages); ?>
                    <?php previous_posts_link('', $the_query->max_num_pages); ?>

                </nav>

                <?php wp_reset_postdata(); ?>
            </div>

        </div>
    </div>
</section>


<?php wp_enqueue_script('masonry'); ?>


<script type="text/javascript">
    jQuery(window).load(function () {


        var columns = 3,
            setColumns = function () {
                columns = jQuery(window).width() > 640 ? 3 : jQuery(window).width() > 320 ? 2 : 1;
            };

        setColumns();
        jQuery(window).resize(setColumns);

        jQuery('#grid-folio').masonry(
            {
                itemSelector: '.project',
                isAnimated: true,
                columnWidth: function (containerWidth) {
                    return containerWidth / columns;
                }
            });
    });
</script>