<?php

/*
Plugin Name: Crumina Menu Customizer
Description: Plugin for creating different menu with any icons or background color
Author: afstanislav
Version: 1.1
*/

if (!defined('ABSPATH')) die('');

function crumina_menu_admin_actions()
{
    add_theme_page("Crumina Menu Customizer", "Menu Customizer", 'manage_options', "crumina_customizer.php", "crumina_menu_admin");
}

function crumina_menu_admin()
{
    include("crumina_customizer.php");
}

add_action('admin_menu', 'crumina_menu_admin_actions');

function crumina_get_js_code($saved_options)
{
    ?>

<script type="text/javascript">

    jQuery(document).ready(function () {

        <?php
        $is_hover = (isset($saved_options['menu_active_icon_hover']) && !empty($saved_options['menu_active_icon_hover']));

        if($is_hover)
        {
        ?>
        jQuery(".menu-item-wrap").hover(function () {
            if(jQuery(this).parent("li").hasClass("current-menu-item"))
                jQuery(this).parent("li").addClass("was_active");
            else
                jQuery(this).parent("li").addClass("current-menu-item");

        }, function () {
            if(!jQuery(this).parent("li").hasClass("was_active"))
                jQuery(this).parent("li").removeClass("current-menu-item");
        });

        <?php
        }
        ?>

    });


</script>

<?php
}

function load_theme_scripts()
{

    wp_enqueue_style('my_crumina_menu_css', plugins_url('css/crumina_menu.css', __FILE__));
}

add_action('admin_enqueue_scripts', 'load_theme_scripts');